Bug 848944 - Checkstyle Eclipse plugin is broken
Checkstyle Eclipse plugin is broken
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclipse-checkstyle (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 18:05 EDT by Glen Kaukola
Modified: 2013-05-01 23:53 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-27 23:49:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Java source code used for testing. (501 bytes, text/x-java)
2012-08-16 18:05 EDT, Glen Kaukola
no flags Details

  None (edit)
Description Glen Kaukola 2012-08-16 18:05:59 EDT
Created attachment 605033 [details]
Java source code used for testing.

Description of problem:
When I try and run the checkstyle plugin on some java source code I get the following error:

An internal error occurred during: "Checking files...".
org/apache/commons/beanutils/Converter

Version-Release number of selected component (if applicable):
eclipse-checkstyle-5.1.0-4.fc17.noarch

How reproducible:
Always.

Steps to Reproduce:
1. Run the checkstyle plugin on some java source code.
  
Actual results:
An error message.

Expected results:
A list of problems detected by checkstyle.

Additional info:
Checkstyle runs just fine on the command line for the source code in question.

I'm using the "Sun Checks" configuration.  Changing that to "Sun Checks (eclipse)" makes no difference.
Comment 1 Dirk Schnelle-Walka 2013-01-17 06:23:51 EST
The solution to fix this bug is given in Bug #747548 with the comment of Marek Stanczyk.
Comment 2 Fedora Update System 2013-04-23 02:40:28 EDT
eclipse-checkstyle-5.1.0-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/eclipse-checkstyle-5.1.0-8.fc18
Comment 3 Fedora Update System 2013-04-23 02:41:56 EDT
eclipse-checkstyle-5.1.0-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/eclipse-checkstyle-5.1.0-8.fc19
Comment 4 Fedora Update System 2013-04-23 12:47:03 EDT
Package eclipse-checkstyle-5.1.0-8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing eclipse-checkstyle-5.1.0-8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6386/eclipse-checkstyle-5.1.0-8.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-04-27 23:49:03 EDT
eclipse-checkstyle-5.1.0-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-05-01 23:53:36 EDT
eclipse-checkstyle-5.1.0-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.